--****************************************************************************
--****************************************************************************
--**
--**  Product Name:      DB2 Text Extender
--**
--**  Source File Name:  desdudf.ddl
--**
--**  Status:            Version 5.2
--**
--**  Function:          Drops Text Extender User Defined Functions
--**
--**  Description:       The following statements are executed
--**                     when a database is disabled for Text Extender.
--**
--****************************************************************************
--****************************************************************************


drop function db2tx.search_result(db2tx.DB2TextH,LONG VARCHAR);
drop function db2tx.search_result(db2tx.DB2TextFH,LONG VARCHAR);

drop function db2tx.contains(db2tx.DB2TextH,LONG VARCHAR);
drop function db2tx.contains(db2tx.DB2TextFH,LONG VARCHAR);

drop function db2tx.No_of_Matches(db2tx.DB2TextH,LONG VARCHAR);
drop function db2tx.No_of_Matches(db2tx.DB2TextFH,LONG VARCHAR);

drop function db2tx.Rank(db2tx.DB2TextH,LONG VARCHAR);
drop function db2tx.Rank(db2tx.DB2TextFH,LONG VARCHAR);


---------------------------------------------------------------------------


drop function db2tx.CCSID(db2tx.DB2TextH);
drop function db2tx.CCSID(db2tx.DB2TextFH);

drop function db2tx.Language(db2tx.DB2TextH);
drop function db2tx.Language(db2tx.DB2TextFH);

drop function db2tx.Format(db2tx.DB2TextH);
drop function db2tx.Format(db2tx.DB2TextFH);

drop function db2tx.File(db2tx.DB2TextFH);


---------------------------------------------------------------------------


drop function db2tx.CCSID(db2tx.DB2TextFH,INTEGER);

drop function db2tx.Language(db2tx.DB2TextH,VARCHAR(30));
drop function db2tx.Language(db2tx.DB2TextFH,VARCHAR(30));

drop function db2tx.Format(db2tx.DB2TextH,VARCHAR(30));
drop function db2tx.Format(db2tx.DB2TextFH,VARCHAR(30));

drop function db2tx.File(db2tx.DB2TextFH,VARCHAR(150));


---------------------------------------------------------------------------


drop function db2tx.Init_Text_Handle(VARCHAR(30),VARCHAR(30));
drop function db2tx.Init_Text_Handle(INTEGER,VARCHAR(30),VARCHAR(30),VARCHAR(150));

drop function db2tx.Base_Handle(db2tx.DB2TextH);
drop function db2tx.Base_Handle(db2tx.DB2TextFH);


---------------------------------------------------------------------------


drop function db2tx.Handle_List(db2tx.DB2TextH,LONG VARCHAR);
drop function db2tx.Handle_List(db2tx.DB2TextFH,LONG VARCHAR);

drop function db2tx.No_of_Documents(db2tx.DB2TextHListP);
drop function db2tx.No_of_Documents(db2tx.DB2TextFHListP);

drop function db2tx.Handle(db2tx.DB2TextHListP,INTEGER);
drop function db2tx.Handle(db2tx.DB2TextFHListP,INTEGER);

drop function db2tx.Rank(db2tx.DB2TextHListP,INTEGER);
drop function db2tx.Rank(db2tx.DB2TextFHListP,INTEGER);

drop function db2tx.No_of_Matches(db2tx.DB2TextHListP,INTEGER);
drop function db2tx.No_of_Matches(db2tx.DB2TextFHListP,INTEGER);


---------------------------------------------------------------------------


drop function db2tx.Refine(LONG VARCHAR, LONG VARCHAR);


---------------------------------------------------------------------------


drop function db2tx.DesUpdateTextH;
drop function db2tx.DesUpdateTextFileH;
drop function db2tx.DesUpdateTextPartH;
drop function db2tx.DesGetIndexType;
drop function db2tx.DesGetUpdOnCreate;

drop function db2tx.DesGetIndexOption;

drop function db2tx.DesGetDefDocLang;
drop function db2tx.DesGetDefDocFormat;
drop function db2tx.DesGetDefDocCCSID;

drop function db2tx.DesGetNodeNumber;
drop function db2tx.DesGetServerName;
drop function db2tx.DesGetPartKeyValue;
drop function db2tx.DesGetPK;

drop function db2tx.DesCompareMap;
drop function db2tx.DesTraceUDF;


---------------------------------------------------------------------------



